EJECT(1)

BEZEICHNUNG
eject - Wechselmedien auswerfen

eject [Optionen] Gerät|Einhängepunkt

BESCHREIBUNG

eject ermöglicht das softwaregesteuerte Auswerfen von Wechselmedien (typischerweise CD-ROM, Diskette, Bänder, JAZ-, ZIP- oder USB-Medien). Der Befehl kann auch einige CD-ROM-Wechsler und die automatische Auswurffunktion einiger Geräte steuern sowie die Schublade einiger CD-ROM-Laufwerke schließen.

Das dem angegebenen Gerät oder Einhängepunkt entsprechende Gerät wird ausgeworfen. Wenn kein Name angegeben wird, dann wird der Standardname /dev/cdrom verwendet. Das Gerät kann anhand des Namens (z.B. »sda«), des Pfades (z.B. »/dev/sda«) oder als Bezeichnung der Form UUID=UUID oder LABEL=Label angegeben werden.

Es gibt vier verschiedene Auswurfmethoden, abhängig davon, ob es sich bei dem Gerät um ein CD-ROM-Laufwerk, ein SCSI-Gerät, ein Disketten- oder ein Bandlaufwerk handelt. Standardmäßig versucht eject alle vier Methoden nacheinander, bis es Erfolg hat.

Wenn eine Gerätepartition angegeben ist, wird das gesamte Laufwerk verwendet.

Falls ein Gerät oder eine Gerätepartition aktuell eingehängt ist, wird es vor dem Auswerfen ausgehängt. Das Auswerfen geschieht anhand des exklusiven Dateideskriptors der geöffneten blockorientierten Gerätedatei, falls --no-unmount oder --force nicht angegeben sind.

OPTIONEN

-a, --auto on|off
    steuert den automatischen Auswurfmodus, der von einigen Geräten unterstützt wird. Wenn dies aktiviert ist, wird das Laufwerk automatisch ausgeworfen, wenn das Gerät geschlossen ist.

-c, --changerslot Fach
    wählt ein CD-Fach eines über ATAPI-IDE angeschlossenen CD-Wechslers aus. Das CD-ROM-Laufwerk darf nicht in Benutzung sein (eingehängte Daten-CD oder beim Abspielen einer Musik-CD), sonst funktioniert der Wechsel nicht. Bitte beachten Sie auch, dass das erste Fach des Wechslers mit 0 bezeichnet wird, nicht mit 1.

-d, --default
    zeigt den Namen des Standardgeräts an.

-F, --force
    erzwingt das Aushängen, überprüft den Gerätetyp nicht und sperrt das Gerät beim Öffnen nicht exklusiv. Ein als erfolgreich gemeldetes Ergebnis könnte bei nicht hotplug-fähigen Geräten falsch sein.

-f, --floppy
    gibt an, dass das Laufwerk mit dem Befehl zum Auswerfen einer Diskette ausgeworfen werden soll.

-i, --manualeject on|off
    steuert die Sperrung des Hardware-Auswurfknopfs. Wenn dies aktiviert ist, wird das Gerät beim Drücken des Knopfs nicht ausgeworfen. Dies ist nützlich, wenn Sie einen Laptop in einer Tasche oder einem Koffer transportieren und kein Auswerfen auslösen wollen, wenn der Knopf unabsichtlich gedrückt wird.

-M, --no-partitions-unmount
    informiert eject, dass auf partitionierten Geräten nicht versucht werden soll, andere Partitionen auszuhängen. Wenn eine andere Partition noch eingehängt ist, versucht das Programm nicht, das Medium auszuwerfen. Es wird nur versuchen, das in der Befehlszeile angegebene Gerät oder den angegebenen Einhängepunkt auszuhängen.

-m, --no-unmount
    weist eject an, keinen Aushängeversuch zu unternehmen. Falls diese Option nicht angegeben ist, öffnet eject das Gerät mit dem O_EXCL-Schalter, um sicherzustellen, dass es nicht verwendet wird (seit v2.35).

-n, --noop
    zeigt das ausgewählte Gerät an, führt aber keine Aktion aus.

-p, --proc
    ermöglicht Ihnen, /proc/mounts anstelle von /etc/mtab zu verwenden. Außerdem wird die Option -n an umount(8) übergeben.

-q, --tape
    gibt an, dass das Laufwerk mit einem Offline-Befehl für Bandlaufwerke ausgeworfen werden soll.

-r, --cdrom
    gibt an, dass das Laufwerk mit CD-ROM-Auswurfbefehl ausgeworfen werden soll.

-s, --scsi
    gibt an, dass das Laufwerk mit SCSI-Befehlen ausgeworfen werden soll.

-T, --traytoggle
    sendet einen Befehl zum Schließen der Schublade an das angegebene CD-Laufwerk, sofern es geöffnet ist, und einen Befehl zum Öffnen der Schublade, wenn es geschlossen ist. Dieser Befehl wird nicht von allen Laufwerken unterstützt, da der oben genannte CD-ROM-Schließen-Befehl verwendet wird.

-t, --trayclose
    sendet einen Befehl zum Schließen der Schublade an das angegebene CD-Laufwerk. Dieser Befehl wird nicht von allen Laufwerken unterstützt.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

-v, --verbose
    aktiviert den ausführlichen Modus; es werden weitere Informationen darüber ausgegeben, was der Befehl tut.

-X, --listspeed
    versucht, die verfügbaren Geschwindigkeiten des CD-ROM-Laufwerks zu erkennen. Die Ausgabe ist eine Liste der Geschwindigkeiten, die als Argument für die Option -x verwendet werden können. Dies funktioniert nur mit Linux 2.6.13 oder neuer, auf früheren Versionen wird nur die maximale Geschwindigkeit gemeldet. Beachten Sie auch, dass einige Laufwerke die Geschwindigkeiten nicht korrekt melden könnten und diese Option daher mit ihnen nicht funktioniert.

-x, --cdspeed Geschwindigkeit
    übergibt einen Befehl zur Auswahl der Geschwindigkeit an das CD-ROM-Laufwerk. Das Argument Geschwindigkeit ist eine Zahl, welche die gewünschte Geschwindigkeit angibt (z.B. 8 für die 8-fache Geschwindigkeit), oder 0 für die maximale Datenübertragungsrate. Dieser Befehl wird nicht von allen Laufwerken unterstützt, und Sie können nur Geschwindigkeiten angeben, zu denen das Laufwerk fähig ist. Jedes Mal beim Wechsel des Mediums wird diese Option zurückgesetzt. Diese Option kann allein oder zusammen mit den Optionen -t und -c verwendet werden.

EXIT-STATUS

Bei einer erfolgreichen Aktion wird 0 zurückgegeben. Wenn die Aktion fehlgeschlagen ist oder die Befehlssyntax ungültig war, wird 1 zurückgegeben.

ANMERKUNGEN

Der Befehl eject funktioniert nur mit Geräten, die eine oder mehrere der vier Auswurfmethoden unterstützen. Das trifft auf die meisten CD-ROM-Laufwerke (IDE, SCSI und proprietär), einige SCSI-Bandlaufwerke, JAZ-Laufwerke, ZIP-Laufwerke (Parallelport-, SCSI- und IDE-Versionen) und LS120-Wechseldisketten zu. Benutzer haben auch über die erfolgreiche Nutzung bei Diskettenlaufwerken auf Sun SPARC and Apple Macintosh-Systemen berichtet. Falls eject nicht funktioniert, beruht das zumeist auf einer Einschränkung des Kerneltreibers für das Gerät und nicht auf dem Programm eject selbst.

Die Optionen -r, -s, -f und -q ermöglichen die Auswahl der Methode zum Auswerfen. Dabei kann mehr als eine Methode angegeben werden. Falls keine der Optionen angegeben wird, werden alle vier versucht (funktioniert in den meisten Fällen gut).

eject könnte nicht immer in der Lage sein, zu ermitteln, ob das Gerät eingehängt ist (z.B. wenn es verschiedene Namen hat). Wenn der Gerätename ein symbolischer Link ist, folgt eject dem Link und verwendet das Gerät, auf das der Link zeigt.

Falls eject ermittelt, dass das Gerät mehrere Partitionen haben kann, versucht es, vor dem Auswerfen alle eingehängten Partitionen des Geräts auszuhängen (siehe auch --no-partitions-unmount). Wenn das Aushängen fehlschlägt, versucht das Programm nicht, das Medium auszuwerfen.

Sie können eine Audio-CD auswerfen. Einige CD-ROM-Laufwerke verweigern das Öffnen der Schublade, wenn das Laufwerk leer ist. Außerdem unterstützen einige Laufwerke den Befehl zum Schließen der Schublade nicht.

Wenn die Funktion zum automatischen Auswerfen aktiviert ist, wird das Gerät immer nach dem Ausführen dieses Befehls ausgeworfen. Der automatische Auswurfmodus wird nicht von allen CD-ROM-Treibern des Linux-Kernels unterstützt. Es gibt keine Möglichkeit, den Status des automatischen Auswurfmodus herauszufinden.

Sie müssen über die entsprechenden Rechte verfügen, um auf die Gerätedateien zugreifen zu können. Die Ausführung mit Root-Rechten ist für das Auswerfen einiger Geräte erforderlich (zum Beispiel von SCSI-Geräten).

AUTOREN

- Originalautor, und - Version von util-linux.

SIEHE AUCH

findmnt(8), lsblk(8), mount(8), umount(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl eject ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).